aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/remote-hardware-config
diff options
context:
space:
mode:
authorMark Nipper <nipsy@bitgnome.net>2024-05-02 23:05:10 -0700
committerMark Nipper <nipsy@bitgnome.net>2024-05-02 23:05:10 -0700
commitd3fcdee236c02239de4117f731651c3c546f02e3 (patch)
tree4df99ac6daf913709108d939f26445002ad78ce2 /scripts/remote-hardware-config
parent7ee6b73960ef32507ccea1ee0a5ca7e537dddea1 (diff)
downloadnix-d3fcdee236c02239de4117f731651c3c546f02e3.tar
nix-d3fcdee236c02239de4117f731651c3c546f02e3.tar.gz
nix-d3fcdee236c02239de4117f731651c3c546f02e3.tar.bz2
nix-d3fcdee236c02239de4117f731651c3c546f02e3.tar.lz
nix-d3fcdee236c02239de4117f731651c3c546f02e3.tar.xz
nix-d3fcdee236c02239de4117f731651c3c546f02e3.tar.zst
nix-d3fcdee236c02239de4117f731651c3c546f02e3.zip
Add script to generate remote hardware-configuration.nix
Diffstat (limited to 'scripts/remote-hardware-config')
-rwxr-xr-xscripts/remote-hardware-config14
1 files changed, 14 insertions, 0 deletions
diff --git a/scripts/remote-hardware-config b/scripts/remote-hardware-config
new file mode 100755
index 0000000..0f71ad8
--- /dev/null
+++ b/scripts/remote-hardware-config
@@ -0,0 +1,14 @@
+#!/usr/bin/env zsh
+
+remote="${1}"
+
+if [[ -z "${remote}" ]]; then
+ <<EOF >&2
+usage: ${0:t} user@host
+
+where user@host is the usual SSH syntax to generate a NixOS hardware-configuration.nix
+EOF
+ exit 1
+fi
+
+ssh ${remote} nixos-generate-config --show-hardware-config